Subject: Re: [SIP] [SIP]: Caching of Final Response(s)

From: [email-masked]
Date: Fri, 9 Jun 2000 15:34:47 +0530

Hi Rafi,
                 In scenario 1, you are right that if multiple responses are
cached then the server
may go out of buffer space but I have a point here that all the calls do not
appear simultaneously
generally they have some pattern and even if it is not there then the
implementation can put a limit
on the number of simultaneous calls for which it will support caching. After
that it may not support the caching and
may release the call or whatever specific action it wants to take.
As far as the scenario 2 is concerned,
                You have probably missed one point that server is going to keep
this info maximum upto 10*T2 seconds.
T2 being 4 seconds so worst case it is 40 seconds.
Regards
Dhiraj Malhotra

"rafi" <[email-masked]> on 06/09/2000 12:08:53 PM

To:   [email-masked]
cc:    (bcc: Dhiraj Malhotra/HSS)

Subject:  [SIP] [SIP]: Caching of Final Response(s)

Hi,

Consider the following paragraph in RFC 2543,
section 10.4.1

     .......  the server sends a final response, it  cannot
 be sure the client has received the response, and thus
SHOULD  cache the results for at least 10*T2 seconds
to avoid having to, for example, contact the user or location
server again upon receiving a request retransmission.

  Now consider the following scenarios.

Scenario 1 :  Consider a UAS supporting many calls
                   (each call's media stream may terminate
                   at different IP  address). If server caches the
                   final response then in worst case server may be
                   caching all the responses almost at same time. This
caching
                   may  cause the server run out of buffer space thereby
                   preventing the server  from serving  new requests.

Scenario 2:  Consider a misbehaved client which is sending request in
                    such way that each time it sends a request it challenges
the
                    server to send final response.  Client can quickly
                    make the server run out of buffer space and bring down
its
                    operation.

  Any comment are welcome.

Thank You

 Rafi Assadi H.M.
 Silicon Automation Systems
 Bangalore, INDIA.

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

_______________________________________________
SIP mailing list
[email-masked]
http://lists.bell-labs.com/mailman/listinfo/sip

---

From: Jonathan Rosenberg <[email-masked]>
Date: Thu, 22 Jun 2000 18:23:19 -0400

Also note that caching these results is a SHOULD; a proxy that is
beginning to run out of memory, or is under attack, can simply elect to
stop caching the results to get itself out of trouble. The caching is an
optimziation, after all.

-Jonathan R.

-- 
Jonathan D. Rosenberg                       72 Eagle Rock Ave.
Chief Scientist                             First Floor
dynamicsoft                                 East Hanover, NJ 07936
[email-masked]                     FAX:   (973) 952-5050
http://www.cs.columbia.edu/~jdrosen         PHONE: (732) 741-7244
http://www.dynamicsoft.com